/**
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model


/**
 * A daily weather history object.
 *
 * @param date 
 * @param provisionalFlag 
 * @param cldCvrMin 
 * @param cldCvrAvg 
 * @param cldCvrMax 
 * @param dewPtMin 
 * @param dewPtAvg 
 * @param dewPtMax 
 * @param feelsLikeMin 
 * @param feelsLikeAvg 
 * @param feelsLikeMax 
 * @param heatIndexMin 
 * @param heatIndexAvg 
 * @param heatIndexMax 
 * @param mslPresMin 
 * @param mslPresAvg 
 * @param mslPresMax 
 * @param precip 
 * @param presTendMin 
 * @param presTendAvg 
 * @param presTendMax 
 * @param radSolarMin 
 * @param radSolarAvg 
 * @param radSolarMax 
 * @param radSolarTot 
 * @param relHumMin 
 * @param relHumAvg 
 * @param relHumMax 
 * @param sfcPresMin 
 * @param sfcPresAvg 
 * @param sfcPresMax 
 * @param snowDepth 
 * @param snowfall 
 * @param spcHumMin 
 * @param spcHumAvg 
 * @param spcHumMax 
 * @param tempMin 
 * @param tempAvg 
 * @param tempMax 
 * @param visMin 
 * @param visAvg 
 * @param visMax 
 * @param wetBulbMin 
 * @param wetBulbAvg 
 * @param wetBulbMax 
 * @param windChillMin 
 * @param windChillAvg 
 * @param windChillMax 
 * @param windDirAvg 
 * @param windDir80mAvg 
 * @param windDir100mAvg 
 * @param windSpdMin 
 * @param windSpdAvg 
 * @param windSpdMax 
 * @param windSpd80mMin 
 * @param windSpd80mAvg 
 * @param windSpd80mMax 
 * @param windSpd100mMin 
 * @param windSpd100mAvg 
 * @param windSpd100mMax 
 * @param precipHourCnt 
 * @param snowfallHourCnt 
 * @param freezingRainFlagCnt 
 * @param icePelletsFlagCnt 
 * @param rainFlagCnt 
 * @param snowFlagCnt 
 */
case class HistoryDayObj (
  date: date,
  provisionalFlag: Option[provisionalFlag],
  cldCvrMin: Option[cldCvrMin],
  cldCvrAvg: Option[cldCvrAvg],
  cldCvrMax: Option[cldCvrMax],
  dewPtMin: Option[dewPtMin],
  dewPtAvg: Option[dewPtAvg],
  dewPtMax: Option[dewPtMax],
  feelsLikeMin: Option[feelsLikeMin],
  feelsLikeAvg: Option[feelsLikeAvg],
  feelsLikeMax: Option[feelsLikeMax],
  heatIndexMin: Option[heatIndexMin],
  heatIndexAvg: Option[heatIndexAvg],
  heatIndexMax: Option[heatIndexMax],
  mslPresMin: Option[mslPresMin],
  mslPresAvg: Option[mslPresAvg],
  mslPresMax: Option[mslPresMax],
  precip: Option[precip],
  presTendMin: Option[presTendMin],
  presTendAvg: Option[presTendAvg],
  presTendMax: Option[presTendMax],
  radSolarMin: Option[radSolarMin],
  radSolarAvg: Option[radSolarAvg],
  radSolarMax: Option[radSolarMax],
  radSolarTot: Option[radSolarTot],
  relHumMin: Option[relHumMin],
  relHumAvg: Option[relHumAvg],
  relHumMax: Option[relHumMax],
  sfcPresMin: Option[sfcPresMin],
  sfcPresAvg: Option[sfcPresAvg],
  sfcPresMax: Option[sfcPresMax],
  snowDepth: Option[snowDepth],
  snowfall: Option[snowfall],
  spcHumMin: Option[spcHumMin],
  spcHumAvg: Option[spcHumAvg],
  spcHumMax: Option[spcHumMax],
  tempMin: Option[tempMin],
  tempAvg: Option[tempAvg],
  tempMax: Option[tempMax],
  visMin: Option[visMin],
  visAvg: Option[visAvg],
  visMax: Option[visMax],
  wetBulbMin: Option[wetBulbMin],
  wetBulbAvg: Option[wetBulbAvg],
  wetBulbMax: Option[wetBulbMax],
  windChillMin: Option[windChillMin],
  windChillAvg: Option[windChillAvg],
  windChillMax: Option[windChillMax],
  windDirAvg: Option[windDirAvg],
  windDir80mAvg: Option[windDir80mAvg],
  windDir100mAvg: Option[windDir100mAvg],
  windSpdMin: Option[windSpdMin],
  windSpdAvg: Option[windSpdAvg],
  windSpdMax: Option[windSpdMax],
  windSpd80mMin: Option[windSpd80mMin],
  windSpd80mAvg: Option[windSpd80mAvg],
  windSpd80mMax: Option[windSpd80mMax],
  windSpd100mMin: Option[windSpd100mMin],
  windSpd100mAvg: Option[windSpd100mAvg],
  windSpd100mMax: Option[windSpd100mMax],
  precipHourCnt: Option[precipHourCnt],
  snowfallHourCnt: Option[snowfallHourCnt],
  freezingRainFlagCnt: Option[freezingRainFlagCnt],
  icePelletsFlagCnt: Option[icePelletsFlagCnt],
  rainFlagCnt: Option[rainFlagCnt],
  snowFlagCnt: Option[snowFlagCnt]
)

