/**
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model


/**
 * An hourly weather history object.
 *
 * @param timestamp 
 * @param provisionalFlag 
 * @param cldCvr 
 * @param dewPt 
 * @param feelsLike 
 * @param heatIndex 
 * @param mslPres 
 * @param precip 
 * @param presTend 
 * @param radSolar 
 * @param relHum 
 * @param sfcPres 
 * @param snowfall 
 * @param spcHum 
 * @param temp 
 * @param vis 
 * @param wetBulb 
 * @param windChill 
 * @param windDir 
 * @param windDir80m 
 * @param windDir100m 
 * @param windSpd 
 * @param windSpd80m 
 * @param windSpd100m 
 * @param freezingRainFlag 
 * @param icePelletsFlag 
 * @param rainFlag 
 * @param snowFlag 
 */
case class HistoryHourObj (
  timestamp: timestamp,
  provisionalFlag: Option[provisionalFlag],
  cldCvr: Option[cldCvr],
  dewPt: Option[dewPt],
  feelsLike: Option[feelsLike],
  heatIndex: Option[heatIndex],
  mslPres: Option[mslPres],
  precip: Option[precip],
  presTend: Option[presTend],
  radSolar: Option[radSolar],
  relHum: Option[relHum],
  sfcPres: Option[sfcPres],
  snowfall: Option[snowfall],
  spcHum: Option[spcHum],
  temp: Option[temp],
  vis: Option[vis],
  wetBulb: Option[wetBulb],
  windChill: Option[windChill],
  windDir: Option[windDir],
  windDir80m: Option[windDir80m],
  windDir100m: Option[windDir100m],
  windSpd: Option[windSpd],
  windSpd80m: Option[windSpd80m],
  windSpd100m: Option[windSpd100m],
  freezingRainFlag: Option[freezingRainFlag],
  icePelletsFlag: Option[icePelletsFlag],
  rainFlag: Option[rainFlag],
  snowFlag: Option[snowFlag]
)

